Loading...
Searching...
No Matches
Catch::BinaryExpr< LhsT, RhsT > Class Template Reference

`#include <catch_amalgamated.hpp>`

Inheritance diagram for Catch::BinaryExpr< LhsT, RhsT >:
[legend]
Collaboration diagram for Catch::BinaryExpr< LhsT, RhsT >:
[legend]

## Public Member Functions

constexpr | BinaryExpr (bool comparisonResult, LhsT lhs, StringRef op, RhsT rhs)
template<typename T>
auto | operator&& (T) const -> BinaryExpr< LhsT, RhsT const & > const
template<typename T>
auto | operator|| (T) const -> BinaryExpr< LhsT, RhsT const & > const
template<typename T>
auto | operator== (T) const -> BinaryExpr< LhsT, RhsT const & > const
template<typename T>
auto | operator!= (T) const -> BinaryExpr< LhsT, RhsT const & > const
template<typename T>
auto | operator> (T) const -> BinaryExpr< LhsT, RhsT const & > const
template<typename T>
auto | operator< (T) const -> BinaryExpr< LhsT, RhsT const & > const
template<typename T>
auto | operator>= (T) const -> BinaryExpr< LhsT, RhsT const & > const
template<typename T>
auto | operator<= (T) const -> BinaryExpr< LhsT, RhsT const & > const
Public Member Functions inherited from Catch::ITransientExpression
constexpr auto | isBinaryExpression () const -> bool
constexpr auto | getResult () const -> bool
constexpr | ITransientExpression (bool isBinaryExpression, bool result)
constexpr | ITransientExpression (ITransientExpression const &)=default
constexpr ITransientExpression & | operator= (ITransientExpression const &)=default

## Private Member Functions

void | streamReconstructedExpression (std::ostream &os) const override
| This function has to be overriden by the derived class.

## Private Attributes

LhsT | m_lhs
StringRef | m_op
RhsT | m_rhs

## Additional Inherited Members

Protected Member Functions inherited from Catch::ITransientExpression
| ~ITransientExpression ()=default

## Constructor & Destructor Documentation

## BinaryExpr()

template<typename LhsT, typename RhsT>

Catch::BinaryExpr< LhsT, RhsT >::BinaryExpr | ( | bool | comparisonResult,
|  | LhsT | lhs,
|  | StringRef | op,
|  | RhsT | rhs )

inlineconstexpr

Here is the call graph for this function:
Here is the caller graph for this function:

## Member Function Documentation

## operator!=()

template<typename LhsT, typename RhsT>
template<typename T>

auto Catch::BinaryExpr< LhsT, RhsT >::operator!= | ( | T |  | ) | const -> BinaryExpr<LhsT, RhsT const&> const

inline

Here is the call graph for this function:

## operator&&()

template<typename LhsT, typename RhsT>
template<typename T>

auto Catch::BinaryExpr< LhsT, RhsT >::operator&& | ( | T |  | ) | const -> BinaryExpr<LhsT, RhsT const&> const

inline

Here is the call graph for this function:

## operator<()

template<typename LhsT, typename RhsT>
template<typename T>

auto Catch::BinaryExpr< LhsT, RhsT >::operator< | ( | T |  | ) | const -> BinaryExpr<LhsT, RhsT const&> const

inline

Here is the call graph for this function:

## operator<=()

template<typename LhsT, typename RhsT>
template<typename T>

auto Catch::BinaryExpr< LhsT, RhsT >::operator<= | ( | T |  | ) | const -> BinaryExpr<LhsT, RhsT const&> const

inline

Here is the call graph for this function:

## operator==()

template<typename LhsT, typename RhsT>
template<typename T>

auto Catch::BinaryExpr< LhsT, RhsT >::operator== | ( | T |  | ) | const -> BinaryExpr<LhsT, RhsT const&> const

inline

Here is the call graph for this function:

## operator>()

template<typename LhsT, typename RhsT>
template<typename T>

auto Catch::BinaryExpr< LhsT, RhsT >::operator> | ( | T |  | ) | const -> BinaryExpr<LhsT, RhsT const&> const

inline

Here is the call graph for this function:

## operator>=()

template<typename LhsT, typename RhsT>
template<typename T>

auto Catch::BinaryExpr< LhsT, RhsT >::operator>= | ( | T |  | ) | const -> BinaryExpr<LhsT, RhsT const&> const

inline

Here is the call graph for this function:

## operator||()

template<typename LhsT, typename RhsT>
template<typename T>

auto Catch::BinaryExpr< LhsT, RhsT >::operator|| | ( | T |  | ) | const -> BinaryExpr<LhsT, RhsT const&> const

inline

Here is the call graph for this function:

## streamReconstructedExpression()

template<typename LhsT, typename RhsT>

void Catch::BinaryExpr< LhsT, RhsT >::streamReconstructedExpression | ( | std::ostream & | os | ) | const

inlineoverrideprivatevirtual

This function has to be overriden by the derived class.

Reimplemented from Catch::ITransientExpression.

Here is the call graph for this function:

## Member Data Documentation

## m_lhs

template<typename LhsT, typename RhsT>

LhsT Catch::BinaryExpr< LhsT, RhsT >::m_lhs

private

## m_op

template<typename LhsT, typename RhsT>

StringRef Catch::BinaryExpr< LhsT, RhsT >::m_op

private

## m_rhs

template<typename LhsT, typename RhsT>

RhsT Catch::BinaryExpr< LhsT, RhsT >::m_rhs

private

The documentation for this class was generated from the following file:

- tests/vendor/catch_amalgamated.hpp